<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: RTCPeerConnectionFactory Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Instance Methods</a> &#124;
<a href="interface_r_t_c_peer_connection_factory-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">RTCPeerConnectionFactory Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for RTCPeerConnectionFactory:</div>
<div class="dyncontent">
 <div class="center">
  <img src="interface_r_t_c_peer_connection_factory.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Instance Methods</h2></td></tr>
<tr class="memitem:a8b8b1016ab9316c673186a05409dcb38"><td class="memItemLeft" align="right" valign="top"><a id="a8b8b1016ab9316c673186a05409dcb38"></a>
(instancetype)&#160;</td><td class="memItemRight" valign="bottom">- <b>NS_DESIGNATED_INITIALIZER</b></td></tr>
<tr class="separator:a8b8b1016ab9316c673186a05409dcb38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3cc215f6d10ca4113b685653297d0e95"><td class="memItemLeft" align="right" valign="top">(<a class="el" href="interface_r_t_c_audio_source.html">RTCAudioSource</a> *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_r_t_c_peer_connection_factory.html#a3cc215f6d10ca4113b685653297d0e95">audioSourceWithConstraints:</a></td></tr>
<tr class="separator:a3cc215f6d10ca4113b685653297d0e95"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f723ae7415b6a09b5fed1ca7bdeb502"><td class="memItemLeft" align="right" valign="top">(<a class="el" href="interface_r_t_c_audio_track.html">RTCAudioTrack</a> *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_r_t_c_peer_connection_factory.html#a3f723ae7415b6a09b5fed1ca7bdeb502">audioTrackWithTrackId:</a></td></tr>
<tr class="separator:a3f723ae7415b6a09b5fed1ca7bdeb502"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae167546f613f95428c0d2fa5d2f37850"><td class="memItemLeft" align="right" valign="top">(<a class="el" href="interface_r_t_c_audio_track.html">RTCAudioTrack</a> *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_r_t_c_peer_connection_factory.html#ae167546f613f95428c0d2fa5d2f37850">audioTrackWithSource:trackId:</a></td></tr>
<tr class="separator:ae167546f613f95428c0d2fa5d2f37850"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae208bdd7580fee42fb867cb6f8a336c7"><td class="memItemLeft" align="right" valign="top">(<a class="el" href="interface_r_t_c_a_v_foundation_video_source.html">RTCAVFoundationVideoSource</a> *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_r_t_c_peer_connection_factory.html#ae208bdd7580fee42fb867cb6f8a336c7">avFoundationVideoSourceWithConstraints:</a></td></tr>
<tr class="separator:ae208bdd7580fee42fb867cb6f8a336c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acec2b82d76ae62a636a6a5e9ce0220f2"><td class="memItemLeft" align="right" valign="top">(<a class="el" href="interface_r_t_c_video_source.html">RTCVideoSource</a> *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_r_t_c_peer_connection_factory.html#acec2b82d76ae62a636a6a5e9ce0220f2">videoSource</a></td></tr>
<tr class="separator:acec2b82d76ae62a636a6a5e9ce0220f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affeded44dcb643dbb8a354fee276989c"><td class="memItemLeft" align="right" valign="top">(<a class="el" href="interface_r_t_c_video_track.html">RTCVideoTrack</a> *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_r_t_c_peer_connection_factory.html#affeded44dcb643dbb8a354fee276989c">videoTrackWithSource:trackId:</a></td></tr>
<tr class="separator:affeded44dcb643dbb8a354fee276989c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d21ca2363da7d8d19c74bb589231e7a"><td class="memItemLeft" align="right" valign="top">(<a class="el" href="interface_r_t_c_media_stream.html">RTCMediaStream</a> *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_r_t_c_peer_connection_factory.html#a9d21ca2363da7d8d19c74bb589231e7a">mediaStreamWithStreamId:</a></td></tr>
<tr class="separator:a9d21ca2363da7d8d19c74bb589231e7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11a210706f12b07f288ea63da036ef4a"><td class="memItemLeft" align="right" valign="top">(<a class="el" href="interface_r_t_c_peer_connection.html">RTCPeerConnection</a> *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_r_t_c_peer_connection_factory.html#a11a210706f12b07f288ea63da036ef4a">peerConnectionWithConfiguration:constraints:delegate:</a></td></tr>
<tr class="separator:a11a210706f12b07f288ea63da036ef4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adcbb4daf2af507b831da10fca535b9a9"><td class="memItemLeft" align="right" valign="top">(BOOL)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_r_t_c_peer_connection_factory.html#adcbb4daf2af507b831da10fca535b9a9">startAecDumpWithFilePath:maxSizeInBytes:</a></td></tr>
<tr class="separator:adcbb4daf2af507b831da10fca535b9a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e34d8bd861e4a82fce34bab66c1ab7f"><td class="memItemLeft" align="right" valign="top"><a id="a5e34d8bd861e4a82fce34bab66c1ab7f"></a>
(void)&#160;</td><td class="memItemRight" valign="bottom">- <b>stopAecDump</b></td></tr>
<tr class="separator:a5e34d8bd861e4a82fce34bab66c1ab7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Method Documentation</h2>
<a id="a3cc215f6d10ca4113b685653297d0e95"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3cc215f6d10ca4113b685653297d0e95">&#9670;&nbsp;</a></span>audioSourceWithConstraints:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (<a class="el" href="interface_r_t_c_audio_source.html">RTCAudioSource</a> *) audioSourceWithConstraints: </td>
          <td></td>
          <td class="paramtype">(nullable <a class="el" href="interface_r_t_c_media_constraints.html">RTCMediaConstraints</a> *)&#160;</td>
          <td class="paramname"><em>constraints</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Initialize an <a class="el" href="interface_r_t_c_audio_source.html">RTCAudioSource</a> with constraints. </p>

</div>
</div>
<a id="ae167546f613f95428c0d2fa5d2f37850"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae167546f613f95428c0d2fa5d2f37850">&#9670;&nbsp;</a></span>audioTrackWithSource:trackId:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (<a class="el" href="interface_r_t_c_audio_track.html">RTCAudioTrack</a> *) audioTrackWithSource: </td>
          <td></td>
          <td class="paramtype">(<a class="el" href="interface_r_t_c_audio_source.html">RTCAudioSource</a> *)&#160;</td>
          <td class="paramname"><em>source</em></td>
        </tr>
        <tr>
          <td class="paramkey">trackId:</td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>trackId</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Initialize an <a class="el" href="interface_r_t_c_audio_track.html">RTCAudioTrack</a> with a source and an id. </p>

</div>
</div>
<a id="a3f723ae7415b6a09b5fed1ca7bdeb502"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f723ae7415b6a09b5fed1ca7bdeb502">&#9670;&nbsp;</a></span>audioTrackWithTrackId:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (<a class="el" href="interface_r_t_c_audio_track.html">RTCAudioTrack</a> *) audioTrackWithTrackId: </td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>trackId</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Initialize an <a class="el" href="interface_r_t_c_audio_track.html">RTCAudioTrack</a> with an id. Convenience ctor to use an audio source with no constraints. </p>

</div>
</div>
<a id="ae208bdd7580fee42fb867cb6f8a336c7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae208bdd7580fee42fb867cb6f8a336c7">&#9670;&nbsp;</a></span>avFoundationVideoSourceWithConstraints:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (<a class="el" href="interface_r_t_c_a_v_foundation_video_source.html">RTCAVFoundationVideoSource</a> *) avFoundationVideoSourceWithConstraints: </td>
          <td></td>
          <td class="paramtype">(nullable <a class="el" href="interface_r_t_c_media_constraints.html">RTCMediaConstraints</a> *)&#160;</td>
          <td class="paramname"><em>constraints</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Initialize an <a class="el" href="interface_r_t_c_a_v_foundation_video_source.html">RTCAVFoundationVideoSource</a> with constraints. </p>

</div>
</div>
<a id="a9d21ca2363da7d8d19c74bb589231e7a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9d21ca2363da7d8d19c74bb589231e7a">&#9670;&nbsp;</a></span>mediaStreamWithStreamId:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (<a class="el" href="interface_r_t_c_media_stream.html">RTCMediaStream</a> *) mediaStreamWithStreamId: </td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>streamId</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Initialize an <a class="el" href="interface_r_t_c_media_stream.html">RTCMediaStream</a> with an id. </p>

</div>
</div>
<a id="a11a210706f12b07f288ea63da036ef4a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a11a210706f12b07f288ea63da036ef4a">&#9670;&nbsp;</a></span>peerConnectionWithConfiguration:constraints:delegate:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (<a class="el" href="interface_r_t_c_peer_connection.html">RTCPeerConnection</a> *) peerConnectionWithConfiguration: </td>
          <td></td>
          <td class="paramtype">(<a class="el" href="interface_r_t_c_configuration.html">RTCConfiguration</a> *)&#160;</td>
          <td class="paramname"><em>configuration</em></td>
        </tr>
        <tr>
          <td class="paramkey">constraints:</td>
          <td></td>
          <td class="paramtype">(<a class="el" href="interface_r_t_c_media_constraints.html">RTCMediaConstraints</a> *)&#160;</td>
          <td class="paramname"><em>constraints</em></td>
        </tr>
        <tr>
          <td class="paramkey">delegate:</td>
          <td></td>
          <td class="paramtype">(nullable id&lt; <a class="el" href="protocol_r_t_c_peer_connection_delegate-p.html">RTCPeerConnectionDelegate</a> &gt;)&#160;</td>
          <td class="paramname"><em>delegate</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Initialize an <a class="el" href="interface_r_t_c_peer_connection.html">RTCPeerConnection</a> with a configuration, constraints, and delegate. </p>

</div>
</div>
<a id="adcbb4daf2af507b831da10fca535b9a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adcbb4daf2af507b831da10fca535b9a9">&#9670;&nbsp;</a></span>startAecDumpWithFilePath:maxSizeInBytes:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (BOOL) startAecDumpWithFilePath: </td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>filePath</em></td>
        </tr>
        <tr>
          <td class="paramkey">maxSizeInBytes:</td>
          <td></td>
          <td class="paramtype">(int64_t)&#160;</td>
          <td class="paramname"><em>maxSizeInBytes</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Start an AecDump recording. This API call will likely change in the future. </p>

</div>
</div>
<a id="acec2b82d76ae62a636a6a5e9ce0220f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acec2b82d76ae62a636a6a5e9ce0220f2">&#9670;&nbsp;</a></span>videoSource()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (<a class="el" href="interface_r_t_c_video_source.html">RTCVideoSource</a> *) videoSource </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Initialize a generic <a class="el" href="interface_r_t_c_video_source.html">RTCVideoSource</a>. The <a class="el" href="interface_r_t_c_video_source.html">RTCVideoSource</a> should be passed to a <a class="el" href="interface_r_t_c_video_capturer.html">RTCVideoCapturer</a> implementation, e.g. RTCCameraVideoCapturer, in order to produce frames. </p>

</div>
</div>
<a id="affeded44dcb643dbb8a354fee276989c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#affeded44dcb643dbb8a354fee276989c">&#9670;&nbsp;</a></span>videoTrackWithSource:trackId:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (<a class="el" href="interface_r_t_c_video_track.html">RTCVideoTrack</a> *) videoTrackWithSource: </td>
          <td></td>
          <td class="paramtype">(<a class="el" href="interface_r_t_c_video_source.html">RTCVideoSource</a> *)&#160;</td>
          <td class="paramname"><em>source</em></td>
        </tr>
        <tr>
          <td class="paramkey">trackId:</td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>trackId</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Initialize an <a class="el" href="interface_r_t_c_video_track.html">RTCVideoTrack</a> with a source and an id. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="_r_t_c_peer_connection_factory_8h_source.html">RTCPeerConnectionFactory.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
